void spawnWeaponObject(long x, long y, worm *owner, char weap, long vx, long vy);
void fireWeapon(worm *owner);
void createSpecial (worm *owner, int x, int y, int type, weapon *weap, char *visible);
int fireShrapnel(worm *owner, long x, long y, long vx, long vy, int type, weapon *weap, int count);
void weapExplode(weapon_obj *weap);
void shrapExplode(wobj_obj *obj);

void inflictDamage(worm *attacker, worm *prey, int amount, long vx, long vy, weapon *weap);

void dig(worm *owner);

long RANDOM();

void loadWeapons();
void loadWobjects();
void loadSpecial();

#define WEAP_DIRECTIONAL 1
#define WEAP_COLOR 2
#define WEAP_VECTOR 3
#define WEAP_LASER 4


